<div class="yum-header">
  <div class="flex-container" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">

    <div fxFlex="50%" fxLayoutAlign="start center">
      <a routerLink="/" routerLinkActive="active"><img src="../../../assets/img//Yum-logo-small.png" alt="Yum Logo"></a>
    </div>

    <div fxFlex="50">
      <div fxLayout="row">

        <div fxLayout="column" fxFlex="70%" fxLayoutAlign="end end">
          <div *ngIf="currentUser.hasPicture">
            <!--<img src="http://localhost:8082/api/settings/picture/token?token={{authenticationService.getToken()}}" width="90px" height="90px" class="circle">-->
            <img [src]="picUrl" width="90px" height="90px" class="circle">
            <!--<img [src]="(authenticationService.getLoggedUserObservable() | async).pictureUrl" width="90px" height="90px" class="circle">-->
            <!--<img [src]="  | async" width="90px" height="90px" class="circle">-->
          </div>

          <div *ngIf="!currentUser.hasPicture">
            <div class="circle no-profile-pic ">
              <md-icon class="user-big-icon">face</md-icon>
            </div>
          </div>
        </div>

        <div class="header-name" fxLayout="column" fxFlex="22%" fxLayoutAlign="center center" [mdMenuTriggerFor]="menu" (onMenuClose)="menuClosed()"
          (onMenuOpen)="menuOpened()">
          <div fxFlex="30">
            {{currentUser.firstName}}
          </div>
          <div>
            {{currentUser.lastName}}
          </div>
        </div>

        <div fxLayout="column" fxFlex="8%" fxLayoutAlign="end start">
          <button md-fab [mdMenuTriggerFor]="menu" (onMenuClose)="menuClosed()" (onMenuOpen)="menuOpened()" class="header-arrow-btn">
            <md-icon class="big-arrow">{{arrow}}</md-icon>
          </button>
        </div>
      </div>
    </div>

    <md-menu #menu="mdMenu" [overlapTrigger]="false">
      <div class="header-menu">
        <div>
          <button md-raised-button color="primary" routerLink="/settings" routerLinkActive="active">
          <md-icon>person</md-icon>Account Settings
        </button>
          <button md-mini-fab color="primary" (click)="authenticationService.logout()" id="logOutButton">
          <span class="icon-Logo-out logout-icon"></span>
        </button>
        </div>
        <hr>
        <div class="header-menu-btnGroup">
          <div *ngIf="currentUser.role !== 'HUNGRY' ">
            <button md-raised-button color="accent" routerLink="/hungry" routerLinkActive="active" [disabled]="currentPage === 'HUNGRY'">
            Hungry Role
          </button>
          </div>
          <div *ngIf="currentUser.role !== 'HUNGRY' ">
            <button md-raised-button color="accent" routerLink="/chef" routerLinkActive="active" [disabled]="currentPage === 'CHEF'">
            Chef Role
          </button>
          </div>
          <div *ngIf="currentUser.role !== 'HUNGRY' && currentUser.role !== 'CHEF' ">
            <button md-raised-button color="accent" routerLink="/admin" routerLinkActive="active" [disabled]="currentPage === 'ADMIN'">
            Administrator Role
          </button>
          </div>
        </div>
      </div>
    </md-menu>

  </div>
  <div>
